Create or update a Google Ads combined audience

http
PUT https://services.leadconnectorhq.com/ad-publishing/google/audiences

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Body

NameTypeRequiredExampleDescription
locationIdstringYesloc_abc123Account identifier
resourceNamestringNocustomers/123/audiences/456Audience resource name
namestringYesMy AudienceAudience name
dimensionsobjectNoAudience dimensions
exclusionDimensionobjectNoExclusion dimensions

Responses

200 - Response
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X PUT 'https://services.leadconnectorhq.com/ad-publishing/google/audiences' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "locationId": "loc_abc123",
  "resourceName": "customers/123/audiences/456",
  "name": "My Audience"
}'

Last updated October 26, 2026

Was this page helpful?